# Generated from request_xml-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name request_xml

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Uses a naive bayes algorithm to create an input, and this input generates a Natural Language Request in xml
License: MIT
URL: https://lwflouisa.github.io/WeaverBlog
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
BuildArch: noarch

%description
I needed a way to generate a natural language request without having to input
specific numbers. Red Davis did an excellent Baysian algorithm that can also
be used for generating useable numerical input. For those curious about Red
Davis work, check out: https://github.com/reddavis/Naive-Bayes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/request_xml.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.1.0-1
- Initial package
